apiVersion: v1
kind: Secret
metadata:
  name: {{ .Release.Name }}-source
  annotations:
    "helm.sh/hook": post-install,post-upgrade
    "helm.sh/hook-delete-policy": before-hook-creation
    "helm.sh/hook-weight": "-1"
stringData:
  password: {{ .Values.source_db.password | quote }}
  user: {{ .Values.source_db.username }}
  host: {{ .Values.source_db.host }}
  database: {{ .Values.source_db.database }}